# remote

This configuration section contains settings for accessing the test cases on the remote Jira server.

The following example shows the most common options within this section.

```javascript
{
  ...
  "remote": {
    "serverUrl": "https://specsyncdemo.atlassian.net/",
    "project": "MyCalculator",
    "user": "myuser",
    "password": "%MYPWD%",
  },
  ...
}
```

## Settings

{% hint style="info" %}
The remote settings of the Jira project can also be specified in the knownRemotes section of one of the parent configuration file or in the user-specific configuration file. Check [Hierarchical configuration files](/specsync/jira/features/general-features/hierarchical-configuration-files.md) for details.
{% endhint %}

| Setting                                | Description                                                                                                                                                                                                                                                                                                                                                                                                                             | Default                                          |
| -------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------ |
| `serverUrl`                            | The base URL of the Jira server. E.g. `https://yourcompany.atlassian.net/`, `http://myjiraserver:9090/`                                                                                                                                                                                                                                                                                                                                 | mandatory                                        |
| `project`                              | The Jira project key that you can see in the URL when you access the project, e.g. `PRJ01`                                                                                                                                                                                                                                                                                                                                              | mandatory                                        |
| `authenticationMethod`                 | The authentication method to be used for connecting to the remote server. Possible values: `Interactive`, `UserNamePassword`, `PAT`                                                                                                                                                                                                                                                                                                     | automatically detect `UserNamePassword` or `PAT` |
| `user`                                 | The Jira user name or [personal access token](https://docs.microsoft.com/en-us/azure/devops/organizations/accounts/use-personal-access-tokens-to-authenticate?view=vsts) (PAT) to be used for authentication. It may contain environment variables in `...{env:ENV_VAR}...` form. See [Jira authentication options](/specsync/jira/features/general-features/server-authentication-options.md) for details.                             | interactive prompt                               |
| `password`                             | The password to be used for authentication. It may contain environment variables in `...{env:ENV_VAR}...` form. See [Jira authentication options](/specsync/jira/features/general-features/server-authentication-options.md) for details.                                                                                                                                                                                               | interactive prompt                               |
| `securityProtocol`                     | The security protocol to be used for the remote connection (`Ssl3`, `Tls`, `Tls11`, `Tls12`).                                                                                                                                                                                                                                                                                                                                           | system default                                   |
| `ignoreCertificateErrorsForThumbprint` | The thumbprint of the server certificate that should be treated as trusted. It is recommended to install trusted certificates on the operating system instead of using this setting. See related [Troubleshooting entry](/specsync/jira/contact/troubleshooting.md#authentication-ssl-error-the-remote-certificate-is-invalid-according-to-the-validation-procedure-when-connecting-to-an-azure-devops-server-on-promises) for details. | SSL is verified by the OS                        |

{% hint style="warning" %}
The `ignoreCertificateErrorsForThumbprint` setting is planned for a future version of SpecSync for Jira. Please check the [Roadmap](/specsync/jira/roadmap.md) for details.
{% endhint %}

{% content-ref url="/pages/As0iwTwtwwMJKOfZACmA" %}
[Configuration reference](/specsync/jira/reference/configuration.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/jira/reference/configuration/configuration-remote.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
